FAKENECT-RECORD(1)

NAME
fakenect-record - program to save dumps from kinect to file

SYNOPSIS
fakenect-record [-h] [-ffmpeg] [-ffmpeg-opts options] outputdir

DESCRIPTION

fakenect-record dumps the output of the kinect in outputdir folder. It saves the acceleration, depth, and rgb data as individual files with names in the form "TYPE-CURRENTIME-TIMESTAMP" where:

*   TYPE is either (a)ccel, (d)epth, or (r)gb

*   TIMESTAMP corresponds to the timestamp associated with the observation (or in the case of accel, the last timestamp seen)

*   CURRENTTIME corresponds to a floating point version of the time in seconds.

The purpose of storing the current time is so that delays can be recreated exactly as they occurred. For RGB and DEPTH the dump is just the entirety of the data provided in PPM and PGM formats respectively (just a 1 line header above the raw dump). For ACCEL, the dump is the "freenect_raw_tilt_state". Only the front part of the file name is used, with the rest left undefined (extension, extra info, etc).

A file called INDEX.txt is also output with all of the filenames local to that directory to simplify the format (e.g., no need to read the directory structure).

Once started, the program will continue to acquire data from the kinect. When you want to stop it, hit Ctrl-C and the signal will be caught, runloop stopped, and everything will be stored cleanly.

OPTIONS

-ffmpeg
    If present, send the the video stream to ffmpeg

-ffmpeg-opts options
    When using ffmpeg, specify the options to be used with it. If unspecified, it will use the options "-aspect 4:3 -r 20 -vcodec msmpeg4 -b 30000k"

-h  Display the command-line help

SEE ALSO
fakenect(1)